MAC3_PILEUP(1)

NAME
mac3_pileup - Model-based Analysis for ChIP-Sequencing

DESCRIPTION
usage: macs3 pileup [-h] -i IFILE [IFILE ...] -o OUTPUTFILE [--outdir OUTDIR]

[-f {AUTO,BAM,SAM,BED,ELAND,ELANDMULTI,ELANDEXPORT,BOWTIE,BAMPE,BEDPE,FRAG}]
    [--barcodes BARCODEFILE] [--max-count MAXCOUNT] [-B] [--extsize EXTSIZE] [--buffer-size BUFFER_SIZE] [--verbose VERBOSE]

  options:

-h, --help
    show this help message and exit

-i, --ifile IFILE [IFILE ...]
    Alignment file. If multiple files are given as '-t A B C', then they will all be read and combined. REQUIRED.

-o, --ofile OUTPUTFILE
    Output bedGraph file name. If not specified, will write to standard output. REQUIRED.

--outdir OUTDIR
    If specified all output files will be written to that directory. Default: the current working directory

-f, --format {AUTO,BAM,SAM,BED,ELAND,ELANDMULTI,ELANDEXPORT,BOWTIE,BAMPE,BEDPE,FRAG}
    Format of tag file, "AUTO", "BED", "ELAND", "ELANDMULTI", "ELANDEXPORT", "SAM", "BAM", "BOWTIE", "BAMPE", "BEDPE", or "FRAG". The default AUTO option will let 'macs3 pileup' decide which format the file is. DEFAULT: "AUTO", MACS3 will pick a format from "AUTO", "BED", "ELAND", "ELANDMULTI", "ELANDEXPORT", "SAM", "BAM" and "BOWTIE". If the format is BAMPE, BEDPE or FRAG, please specify it explicitly. Please note that when the format is BAMPE, BEDPE or FRAG, the -B and --extsize options would be ignored, and MACS3 will process the input in Paired-End mode.

--barcodes BARCODEFILE
    A plain text file containing the barcodes for the fragment file while the format is 'FRAG'. Won't have any effect if the format is not 'FRAG'. Each row in the file should only have the barcode string. MACS3 will extract only the fragments for the specified barcodes.

--max-count MAXCOUNT
    In the FRAG format file, the fifth column indicates the count of fragments found at the exact same location from the same barcode. By default, MACS3 treats each fragment count as indicated. However, if this option is enabled and set as a positive integer, MACS3 will not count more than the specified number. If this is set as 0, MACS3 will behave as the default setting to keep all counts. Please note that `callpeak -f FRAG --max-count 1` is supposed to generate the same result as `callpeak -f BEDPE --keep-dup all` on fragment files. This option will be ignored if the format is not FRAG.

-B, --both-direction
    By default, any read will be extended towards downstream direction by extension size. So it's [0,size-1] (1-based index system) for plus strand read and [-size+1,0] for minus strand read where position 0 is 5' end of the aligned read. Default behavior can simulate MACS3 way of piling up ChIP sample reads where extension size is set as fragment size/d. If this option is set as on, aligned reads will be extended in both upstream and downstream directions by extension size. It means [-size,size] where 0 is the 5' end of a aligned read. It can partially simulate MACS3 way of piling up control reads. However MACS3 local bias is calculated by maximizing the expected pileup over a ChIP fragment size/d estimated from 10kb, 1kb, d and whole genome background. This option will be ignored when the format is set as BAMPE, BEDPE, or FRAG. DEFAULT: False

--extsize EXTSIZE
    The extension size in bps. Each alignment read will become a EXTSIZE of fragment, then be piled up. Check description for -B for detail. It's twice the `shiftsize` in old MACSv1 language. This option will be ignored when the format is set as BAMPE, BEDPE or FRAG. DEFAULT: 200

--buffer-size BUFFER_SIZE
    Buffer size for incrementally increasing internal array size to store reads alignment information. In most cases, you don't have to change this parameter. However, if there are large number of chromosomes/contigs/scaffolds in your alignment, it's recommended to specify a smaller buffer size in order to decrease memory usage (but it will take longer time to read alignment files). Minimum memory requested for reading an alignment file is about # of CHROMOSOME * BUFFER_SIZE * 8 Bytes. DEFAULT: 100000

--verbose VERBOSE
    Set verbose level. 0: only show critical message, 1: show additional warning message, 2: show process information, 3: show debug messages. If you want to know where are the duplicate reads, use 3. DEFAULT:2